Index: palm/trunk/UTIL/chemistry/gasphase_preproc/kpp4palm/src/create_kpp_module.C
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/kpp4palm/src/create_kpp_module.C	(revision 3785)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/kpp4palm/src/create_kpp_module.C	(revision 3789)
@@ -17,4 +17,7 @@
 //-----------------
 //$Id: create_kpp_module.C 3453 2018-10-30 13:21:51Z forkel $
+// Added vector switch Kacc,Krej,IERRV, Commented add_line for istatf,    (05.03.2019, forkel)
+//      added ,pe after ierr_u,         
+//
 // Added create_set_cs and cs_mech and get_mechanismname in module_header (05.03.2019, forkel)
 //
@@ -436,8 +439,9 @@
    mz_kpp.add_line("                                                                 "); 
    mz_kpp.add_line("                                                                 "); 
-   mz_kpp.add_line("  integer, dimension(VL_dim)   :: Kacc,Krej                       "); 
-   mz_kpp.add_line("  integer, dimension(VL_dim)   :: IERRV                           "); 
+   if(kpp_switches.is_vector()) {
+      mz_kpp.add_line("  integer, dimension(VL_dim)   :: Kacc,Krej                       "); 
+      mz_kpp.add_line("  integer, dimension(VL_dim)   :: IERRV                           "); 
+   }
    mz_kpp.add_line("  logical                     :: data_loaded = .false.             "); 
-
    in.close();
 
@@ -535,5 +539,5 @@
    kppi.add_line("  integer, dimension(20)                 :: istatus_u               ");
    kppi.add_line("  integer                                :: ierr_u                  ");
-   kppi.add_line("  integer                                :: istatf                  ");
+// kppi.add_line("  integer                                :: istatf                  ");
    kppi.add_line("  integer                                :: vl_dim_lo               ");
    kppi.add_line("                                                                    ");
@@ -599,5 +603,5 @@
    } else {
      kppi.add_line("   IF (PRESENT(l_debug) .AND. PRESENT(PE)) THEN                       ");
-     kppi.add_line("      IF (l_debug) CALL error_output(Conc(is,:),ierr_u, PE)           ");
+     kppi.add_line("      IF (l_debug) CALL error_output(Conc(is,:),ierr_u,pe)            ");
      kppi.add_line("   ENDIF                                                              ");
      kppi.add_line("                                                                      ");
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/kpp4palm/src/expand_decomp.C
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/kpp4palm/src/expand_decomp.C	(revision 3785)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/kpp4palm/src/expand_decomp.C	(revision 3789)
@@ -17,5 +17,9 @@
 // $Id: expand_decomp.C 3327 2018-10-09 19:55:00Z forkel $
 //
-// initial version                                  (Nov. 2016, ketelsen)
+// Added switch for de-indexing == 2 (W is not needed then)       (08.03.2019, forkel)
+// commented add_line for 'INTEGER  :: k, kk, j, jj' which 
+// only needed for de-indexing == 0
+//
+// initial version                                                (Nov. 2016, ketelsen)
 
 
@@ -197,6 +201,11 @@
   de.add_line ("    INTEGER  :: IER                                                   ");
 //  de.add_line ("    REAL ( kind=dp ) :: JVS (:), W ( NVAR ), a                        ");
-  de.add_line ("    REAL ( kind=dp ) :: JVS ( LU_NONZERO ), W ( NVAR ), a             ");
-  de.add_line ("    INTEGER  :: k, kk, j, jj                                          ");
+  if( kpp_switches.de_indexing () == 2 ) {
+     de.add_line ("    REAL ( kind=dp ) :: JVS ( LU_NONZERO ), a                         ");
+  } else {
+     de.add_line ("    REAL ( kind=dp ) :: JVS ( LU_NONZERO ), W ( NVAR ), a             ");
+  }
+//  Commented, k, kk, j, jj are only required if de_indexing == 0, which is not handled here
+//     de.add_line ("    INTEGER  :: k, kk, j, jj                                          ");
   de.add_line ("                                                                      ");
   de.add_line ("    a = 0.                                                            ");
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/kpp4palm/src/fortran_file.C
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/kpp4palm/src/fortran_file.C	(revision 3785)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/kpp4palm/src/fortran_file.C	(revision 3789)
@@ -19,4 +19,6 @@
 //$Id: 
 //
+// removal of unnecessary variables (Ntotal, TSTART)                        (08.03.2019 forkel)
+// 
 // Added vector switch and creation of dimension statement (rev. 3260, 18.09.2018, ketelsen)
 // 
@@ -167,4 +169,12 @@
     }
 
+//  Remove Ntotal since it is unused
+
+    if(ip->get_token(3) == "Ntotal") {
+      lo_line.insert(0,"!DELETE ");
+    cout << lo_line << endl;
+    }
+
+
 
     ip->set_line(lo_line);
@@ -390,4 +400,12 @@
 
     if(ip->get_token_number_from_string("RTOLS") > 0) {
+    cout << lo_line << endl;
+      lo_line.insert(0,"!DELETE ");
+    cout << lo_line << endl;
+    }
+
+//  Remove    TSTART
+
+    if(ip->get_token_number_from_string("TSTART") > 0) {
     cout << lo_line << endl;
       lo_line.insert(0,"!DELETE ");
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/kpp4palm/src/fortran_file_vec.C
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/kpp4palm/src/fortran_file_vec.C	(revision 3785)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/kpp4palm/src/fortran_file_vec.C	(revision 3789)
@@ -17,4 +17,6 @@
 //-----------------------
 //$Id: fortran_file_vec.C 3327 2018-10-09 19:55:00Z forkel $
+// Added vector switch for INTEGER         :: j,k                       (08.03.2019, forkel)
+//
 // Line 112: do k=is,ie bydo k=1,vl; line 156 ff: replaced index k by j (18.09.2018, ketelsen)
 //
@@ -169,5 +171,9 @@
   lo_line = ip->get_line() ;
   lo_line.erase();
-  lo_line = "  INTEGER         :: j,k";
+  if(kpp_switches.is_vector() ) {
+    lo_line = " INTEGER         :: j,k";
+  } else {
+    lo_line = " INTEGER         :: k";
+  }
   ip->set_line(lo_line);
 
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/kpp4palm/templates/initialize_kpp_ctrl_template.f90
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/kpp4palm/templates/initialize_kpp_ctrl_template.f90	(revision 3785)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/kpp4palm/templates/initialize_kpp_ctrl_template.f90	(revision 3789)
@@ -91,5 +91,5 @@
   REAL(dp), DIMENSION(:),INTENT(IN) :: C
 
-  write(6,*) 'ERROR in chem_gasphase_mod ',ierr,C(1)
+  write(6,*) 'ERROR in chem_gasphase_mod ',ierr,C(1),PE
 
 
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_cbm4/chem_gasphase_mod.f90
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_cbm4/chem_gasphase_mod.f90	(revision 3785)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_cbm4/chem_gasphase_mod.f90	(revision 3789)
@@ -97,6 +97,4 @@
                                                                  
                                                                  
-  INTEGER, DIMENSION(vl_dim)  :: kacc, krej                       
-  INTEGER, DIMENSION(vl_dim)  :: ierrv                           
   LOGICAL                     :: data_loaded = .FALSE.             
 ! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
@@ -115,6 +113,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Parameters.f90
-! Time                 : Tue Mar  5 11:50:49 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:00:59 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -222,6 +220,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Global.f90
-! Time                 : Tue Mar  5 11:50:49 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:00:59 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -251,6 +249,4 @@
 ! TEMP - Temperature
   REAL(kind=dp):: temp
-! TSTART - Integration start time
-  REAL(kind=dp):: tstart
 ! ATOL - Absolute tolerance
   REAL(kind=dp):: atol(nvar)
@@ -291,6 +287,6 @@
 ! 
 ! File                 : chem_gasphase_mod_JacobianSP.f90
-! Time                 : Tue Mar  5 11:50:49 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:00:59 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -387,6 +383,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Monitor.f90
-! Time                 : Tue Mar  5 11:50:49 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:00:59 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -550,6 +546,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Initialize.f90
-! Time                 : Tue Mar  5 11:50:49 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:00:59 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -576,6 +572,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Integrator.f90
-! Time                 : Tue Mar  5 11:50:49 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:00:59 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -634,6 +630,6 @@
 ! 
 ! File                 : chem_gasphase_mod_LinearAlgebra.f90
-! Time                 : Tue Mar  5 11:50:49 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:00:59 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -661,6 +657,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Jacobian.f90
-! Time                 : Tue Mar  5 11:50:49 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:00:59 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -688,6 +684,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Function.f90
-! Time                 : Tue Mar  5 11:50:49 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:00:59 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -717,6 +713,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Rates.f90
-! Time                 : Tue Mar  5 11:50:49 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:00:59 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -743,6 +739,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Util.f90
-! Time                 : Tue Mar  5 11:50:49 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:00:59 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -864,5 +860,5 @@
 
 
-  INTEGER         :: j, k
+ INTEGER         :: k
 
   INTEGER :: i
@@ -908,5 +904,4 @@
    INTEGER       :: icntrl(20), istatus(20), ierr
 
-   INTEGER, SAVE :: ntotal = 0
 
    icntrl(:) = 0
@@ -2261,5 +2256,5 @@
   REAL(dp), DIMENSION(:), INTENT(IN):: c
 
-  write(6,*) 'ERROR in chem_gasphase_mod ',ierr,C(1)
+  write(6,*) 'ERROR in chem_gasphase_mod ',ierr,C(1),PE
 
 
@@ -3570,6 +3565,5 @@
                                                                       
     INTEGER  :: ier                                                   
-    REAL(kind=dp):: jvs(lu_nonzero), w(nvar), a             
-    INTEGER  :: k, kk, j, jj                                          
+    REAL(kind=dp):: jvs(lu_nonzero), a                         
                                                                       
     a = 0.                                                            
@@ -3986,5 +3980,4 @@
   INTEGER, DIMENSION(20)                :: istatus_u               
   INTEGER                                :: ierr_u                  
-  INTEGER                                :: istatf                  
   INTEGER                                :: vl_dim_lo               
                                                                     
@@ -4023,5 +4016,5 @@
                                                                     
    IF (PRESENT(l_debug) .AND. PRESENT(pe)) THEN                       
-      IF (l_debug) CALL error_output(conc(is, :), ierr_u, pe)          
+      IF (l_debug) CALL error_output(conc(is, :), ierr_u, pe)           
    ENDIF                                                              
                                                                       
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_passive/chem_gasphase_mod.f90
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_passive/chem_gasphase_mod.f90	(revision 3785)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_passive/chem_gasphase_mod.f90	(revision 3789)
@@ -97,6 +97,4 @@
                                                                  
                                                                  
-  INTEGER, DIMENSION(vl_dim)  :: kacc, krej                       
-  INTEGER, DIMENSION(vl_dim)  :: ierrv                           
   LOGICAL                     :: data_loaded = .FALSE.             
 ! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
@@ -115,6 +113,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Parameters.f90
-! Time                 : Tue Mar  5 11:50:49 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:00:59 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -190,6 +188,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Global.f90
-! Time                 : Tue Mar  5 11:50:49 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:00:59 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -218,6 +216,4 @@
 ! TEMP - Temperature
   REAL(kind=dp):: temp
-! TSTART - Integration start time
-  REAL(kind=dp):: tstart
 ! ATOL - Absolute tolerance
   REAL(kind=dp):: atol(nvar)
@@ -258,6 +254,6 @@
 ! 
 ! File                 : chem_gasphase_mod_JacobianSP.f90
-! Time                 : Tue Mar  5 11:50:49 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:00:59 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -302,6 +298,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Monitor.f90
-! Time                 : Tue Mar  5 11:50:49 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:00:59 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -362,6 +358,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Initialize.f90
-! Time                 : Tue Mar  5 11:50:49 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:00:59 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -388,6 +384,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Integrator.f90
-! Time                 : Tue Mar  5 11:50:49 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:00:59 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -446,6 +442,6 @@
 ! 
 ! File                 : chem_gasphase_mod_LinearAlgebra.f90
-! Time                 : Tue Mar  5 11:50:49 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:00:59 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -473,6 +469,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Jacobian.f90
-! Time                 : Tue Mar  5 11:50:49 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:00:59 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -500,6 +496,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Function.f90
-! Time                 : Tue Mar  5 11:50:49 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:00:59 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -529,6 +525,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Rates.f90
-! Time                 : Tue Mar  5 11:50:49 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:00:59 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -555,6 +551,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Util.f90
-! Time                 : Tue Mar  5 11:50:49 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:00:59 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -676,5 +672,5 @@
 
 
-  INTEGER         :: j, k
+ INTEGER         :: k
 
   INTEGER :: i
@@ -718,5 +714,4 @@
    INTEGER       :: icntrl(20), istatus(20), ierr
 
-   INTEGER, SAVE :: ntotal = 0
 
    icntrl(:) = 0
@@ -909,5 +904,5 @@
   REAL(dp), DIMENSION(:), INTENT(IN):: c
 
-  write(6,*) 'ERROR in chem_gasphase_mod ',ierr,C(1)
+  write(6,*) 'ERROR in chem_gasphase_mod ',ierr,C(1),PE
 
 
@@ -2218,6 +2213,5 @@
                                                                       
     INTEGER  :: ier                                                   
-    REAL(kind=dp):: jvs(lu_nonzero), w(nvar), a             
-    INTEGER  :: k, kk, j, jj                                          
+    REAL(kind=dp):: jvs(lu_nonzero), a                         
                                                                       
     a = 0.                                                            
@@ -2265,5 +2259,4 @@
   INTEGER, DIMENSION(20)                :: istatus_u               
   INTEGER                                :: ierr_u                  
-  INTEGER                                :: istatf                  
   INTEGER                                :: vl_dim_lo               
                                                                     
@@ -2302,5 +2295,5 @@
                                                                     
    IF (PRESENT(l_debug) .AND. PRESENT(pe)) THEN                       
-      IF (l_debug) CALL error_output(conc(is, :), ierr_u, pe)          
+      IF (l_debug) CALL error_output(conc(is, :), ierr_u, pe)           
    ENDIF                                                              
                                                                       
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_passive1/chem_gasphase_mod.f90
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_passive1/chem_gasphase_mod.f90	(revision 3785)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_passive1/chem_gasphase_mod.f90	(revision 3789)
@@ -97,6 +97,4 @@
                                                                  
                                                                  
-  INTEGER, DIMENSION(vl_dim)  :: kacc, krej                       
-  INTEGER, DIMENSION(vl_dim)  :: ierrv                           
   LOGICAL                     :: data_loaded = .FALSE.             
 ! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
@@ -115,6 +113,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Parameters.f90
-! Time                 : Tue Mar  5 11:50:50 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:00 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -189,6 +187,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Global.f90
-! Time                 : Tue Mar  5 11:50:50 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:00 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -217,6 +215,4 @@
 ! TEMP - Temperature
   REAL(kind=dp):: temp
-! TSTART - Integration start time
-  REAL(kind=dp):: tstart
 ! ATOL - Absolute tolerance
   REAL(kind=dp):: atol(nvar)
@@ -257,6 +253,6 @@
 ! 
 ! File                 : chem_gasphase_mod_JacobianSP.f90
-! Time                 : Tue Mar  5 11:50:50 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:00 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -301,6 +297,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Monitor.f90
-! Time                 : Tue Mar  5 11:50:50 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:00 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -360,6 +356,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Initialize.f90
-! Time                 : Tue Mar  5 11:50:50 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:00 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -386,6 +382,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Integrator.f90
-! Time                 : Tue Mar  5 11:50:50 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:00 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -444,6 +440,6 @@
 ! 
 ! File                 : chem_gasphase_mod_LinearAlgebra.f90
-! Time                 : Tue Mar  5 11:50:50 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:00 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -471,6 +467,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Jacobian.f90
-! Time                 : Tue Mar  5 11:50:50 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:00 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -498,6 +494,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Function.f90
-! Time                 : Tue Mar  5 11:50:50 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:00 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -527,6 +523,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Rates.f90
-! Time                 : Tue Mar  5 11:50:50 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:00 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -553,6 +549,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Util.f90
-! Time                 : Tue Mar  5 11:50:50 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:00 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -674,5 +670,5 @@
 
 
-  INTEGER         :: j, k
+ INTEGER         :: k
 
   INTEGER :: i
@@ -716,5 +712,4 @@
    INTEGER       :: icntrl(20), istatus(20), ierr
 
-   INTEGER, SAVE :: ntotal = 0
 
    icntrl(:) = 0
@@ -900,5 +895,5 @@
   REAL(dp), DIMENSION(:), INTENT(IN):: c
 
-  write(6,*) 'ERROR in chem_gasphase_mod ',ierr,C(1)
+  write(6,*) 'ERROR in chem_gasphase_mod ',ierr,C(1),PE
 
 
@@ -2209,6 +2204,5 @@
                                                                       
     INTEGER  :: ier                                                   
-    REAL(kind=dp):: jvs(lu_nonzero), w(nvar), a             
-    INTEGER  :: k, kk, j, jj                                          
+    REAL(kind=dp):: jvs(lu_nonzero), a                         
                                                                       
     a = 0.                                                            
@@ -2255,5 +2249,4 @@
   INTEGER, DIMENSION(20)                :: istatus_u               
   INTEGER                                :: ierr_u                  
-  INTEGER                                :: istatf                  
   INTEGER                                :: vl_dim_lo               
                                                                     
@@ -2292,5 +2285,5 @@
                                                                     
    IF (PRESENT(l_debug) .AND. PRESENT(pe)) THEN                       
-      IF (l_debug) CALL error_output(conc(is, :), ierr_u, pe)          
+      IF (l_debug) CALL error_output(conc(is, :), ierr_u, pe)           
    ENDIF                                                              
                                                                       
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_phstat/chem_gasphase_mod.f90
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_phstat/chem_gasphase_mod.f90	(revision 3785)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_phstat/chem_gasphase_mod.f90	(revision 3789)
@@ -97,6 +97,4 @@
                                                                  
                                                                  
-  INTEGER, DIMENSION(vl_dim)  :: kacc, krej                       
-  INTEGER, DIMENSION(vl_dim)  :: ierrv                           
   LOGICAL                     :: data_loaded = .FALSE.             
 ! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
@@ -115,6 +113,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Parameters.f90
-! Time                 : Tue Mar  5 11:50:50 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:00 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -191,6 +189,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Global.f90
-! Time                 : Tue Mar  5 11:50:50 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:00 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -219,6 +217,4 @@
 ! TEMP - Temperature
   REAL(kind=dp):: temp
-! TSTART - Integration start time
-  REAL(kind=dp):: tstart
 ! ATOL - Absolute tolerance
   REAL(kind=dp):: atol(nvar)
@@ -259,6 +255,6 @@
 ! 
 ! File                 : chem_gasphase_mod_JacobianSP.f90
-! Time                 : Tue Mar  5 11:50:50 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:00 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -303,6 +299,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Monitor.f90
-! Time                 : Tue Mar  5 11:50:50 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:00 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -363,6 +359,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Initialize.f90
-! Time                 : Tue Mar  5 11:50:50 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:00 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -389,6 +385,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Integrator.f90
-! Time                 : Tue Mar  5 11:50:50 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:00 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -447,6 +443,6 @@
 ! 
 ! File                 : chem_gasphase_mod_LinearAlgebra.f90
-! Time                 : Tue Mar  5 11:50:50 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:00 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -474,6 +470,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Jacobian.f90
-! Time                 : Tue Mar  5 11:50:50 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:00 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -501,6 +497,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Function.f90
-! Time                 : Tue Mar  5 11:50:50 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:00 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -530,6 +526,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Rates.f90
-! Time                 : Tue Mar  5 11:50:50 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:00 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -556,6 +552,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Util.f90
-! Time                 : Tue Mar  5 11:50:50 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:00 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -677,5 +673,5 @@
 
 
-  INTEGER         :: j, k
+ INTEGER         :: k
 
   INTEGER :: i
@@ -719,5 +715,4 @@
    INTEGER       :: icntrl(20), istatus(20), ierr
 
-   INTEGER, SAVE :: ntotal = 0
 
    icntrl(:) = 0
@@ -932,5 +927,5 @@
   REAL(dp), DIMENSION(:), INTENT(IN):: c
 
-  write(6,*) 'ERROR in chem_gasphase_mod ',ierr,C(1)
+  write(6,*) 'ERROR in chem_gasphase_mod ',ierr,C(1),PE
 
 
@@ -2241,6 +2236,5 @@
                                                                       
     INTEGER  :: ier                                                   
-    REAL(kind=dp):: jvs(lu_nonzero), w(nvar), a             
-    INTEGER  :: k, kk, j, jj                                          
+    REAL(kind=dp):: jvs(lu_nonzero), a                         
                                                                       
     a = 0.                                                            
@@ -2296,5 +2290,4 @@
   INTEGER, DIMENSION(20)                :: istatus_u               
   INTEGER                                :: ierr_u                  
-  INTEGER                                :: istatf                  
   INTEGER                                :: vl_dim_lo               
                                                                     
@@ -2333,5 +2326,5 @@
                                                                     
    IF (PRESENT(l_debug) .AND. PRESENT(pe)) THEN                       
-      IF (l_debug) CALL error_output(conc(is, :), ierr_u, pe)          
+      IF (l_debug) CALL error_output(conc(is, :), ierr_u, pe)           
    ENDIF                                                              
                                                                       
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_phstatp/chem_gasphase_mod.f90
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_phstatp/chem_gasphase_mod.f90	(revision 3785)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_phstatp/chem_gasphase_mod.f90	(revision 3789)
@@ -97,6 +97,4 @@
                                                                  
                                                                  
-  INTEGER, DIMENSION(vl_dim)  :: kacc, krej                       
-  INTEGER, DIMENSION(vl_dim)  :: ierrv                           
   LOGICAL                     :: data_loaded = .FALSE.             
 ! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
@@ -115,6 +113,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Parameters.f90
-! Time                 : Tue Mar  5 11:50:53 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:03 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -192,6 +190,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Global.f90
-! Time                 : Tue Mar  5 11:50:53 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:03 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -220,6 +218,4 @@
 ! TEMP - Temperature
   REAL(kind=dp):: temp
-! TSTART - Integration start time
-  REAL(kind=dp):: tstart
 ! ATOL - Absolute tolerance
   REAL(kind=dp):: atol(nvar)
@@ -260,6 +256,6 @@
 ! 
 ! File                 : chem_gasphase_mod_JacobianSP.f90
-! Time                 : Tue Mar  5 11:50:53 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:03 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -304,6 +300,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Monitor.f90
-! Time                 : Tue Mar  5 11:50:53 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:03 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -366,6 +362,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Initialize.f90
-! Time                 : Tue Mar  5 11:50:53 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:03 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -392,6 +388,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Integrator.f90
-! Time                 : Tue Mar  5 11:50:53 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:03 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -450,6 +446,6 @@
 ! 
 ! File                 : chem_gasphase_mod_LinearAlgebra.f90
-! Time                 : Tue Mar  5 11:50:53 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:03 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -477,6 +473,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Jacobian.f90
-! Time                 : Tue Mar  5 11:50:53 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:03 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -504,6 +500,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Function.f90
-! Time                 : Tue Mar  5 11:50:53 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:03 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -533,6 +529,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Rates.f90
-! Time                 : Tue Mar  5 11:50:53 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:03 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -559,6 +555,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Util.f90
-! Time                 : Tue Mar  5 11:50:53 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:03 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -680,5 +676,5 @@
 
 
-  INTEGER         :: j, k
+ INTEGER         :: k
 
   INTEGER :: i
@@ -722,5 +718,4 @@
    INTEGER       :: icntrl(20), istatus(20), ierr
 
-   INTEGER, SAVE :: ntotal = 0
 
    icntrl(:) = 0
@@ -942,5 +937,5 @@
   REAL(dp), DIMENSION(:), INTENT(IN):: c
 
-  write(6,*) 'ERROR in chem_gasphase_mod ',ierr,C(1)
+  write(6,*) 'ERROR in chem_gasphase_mod ',ierr,C(1),PE
 
 
@@ -2251,6 +2246,5 @@
                                                                       
     INTEGER  :: ier                                                   
-    REAL(kind=dp):: jvs(lu_nonzero), w(nvar), a             
-    INTEGER  :: k, kk, j, jj                                          
+    REAL(kind=dp):: jvs(lu_nonzero), a                         
                                                                       
     a = 0.                                                            
@@ -2307,5 +2301,4 @@
   INTEGER, DIMENSION(20)                :: istatus_u               
   INTEGER                                :: ierr_u                  
-  INTEGER                                :: istatf                  
   INTEGER                                :: vl_dim_lo               
                                                                     
@@ -2344,5 +2337,5 @@
                                                                     
    IF (PRESENT(l_debug) .AND. PRESENT(pe)) THEN                       
-      IF (l_debug) CALL error_output(conc(is, :), ierr_u, pe)          
+      IF (l_debug) CALL error_output(conc(is, :), ierr_u, pe)           
    ENDIF                                                              
                                                                       
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_salsa+phstat/chem_gasphase_mod.f90
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_salsa+phstat/chem_gasphase_mod.f90	(revision 3785)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_salsa+phstat/chem_gasphase_mod.f90	(revision 3789)
@@ -97,6 +97,4 @@
                                                                  
                                                                  
-  INTEGER, DIMENSION(vl_dim)  :: kacc, krej                       
-  INTEGER, DIMENSION(vl_dim)  :: ierrv                           
   LOGICAL                     :: data_loaded = .FALSE.             
 ! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
@@ -115,6 +113,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Parameters.f90
-! Time                 : Tue Mar  5 11:50:51 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:01 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -191,6 +189,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Global.f90
-! Time                 : Tue Mar  5 11:50:51 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:01 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -219,6 +217,4 @@
 ! TEMP - Temperature
   REAL(kind=dp):: temp
-! TSTART - Integration start time
-  REAL(kind=dp):: tstart
 ! ATOL - Absolute tolerance
   REAL(kind=dp):: atol(nvar)
@@ -268,6 +264,6 @@
 ! 
 ! File                 : chem_gasphase_mod_JacobianSP.f90
-! Time                 : Tue Mar  5 11:50:51 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:01 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -312,6 +308,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Monitor.f90
-! Time                 : Tue Mar  5 11:50:51 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:01 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -372,6 +368,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Initialize.f90
-! Time                 : Tue Mar  5 11:50:51 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:01 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -398,6 +394,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Integrator.f90
-! Time                 : Tue Mar  5 11:50:51 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:01 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -456,6 +452,6 @@
 ! 
 ! File                 : chem_gasphase_mod_LinearAlgebra.f90
-! Time                 : Tue Mar  5 11:50:51 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:01 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -483,6 +479,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Jacobian.f90
-! Time                 : Tue Mar  5 11:50:51 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:01 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -510,6 +506,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Function.f90
-! Time                 : Tue Mar  5 11:50:51 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:01 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -539,6 +535,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Rates.f90
-! Time                 : Tue Mar  5 11:50:51 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:01 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -565,6 +561,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Util.f90
-! Time                 : Tue Mar  5 11:50:51 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:01 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -686,5 +682,5 @@
 
 
-  INTEGER         :: j, k
+ INTEGER         :: k
 
   INTEGER :: i
@@ -728,5 +724,4 @@
    INTEGER       :: icntrl(20), istatus(20), ierr
 
-   INTEGER, SAVE :: ntotal = 0
 
    icntrl(:) = 0
@@ -941,5 +936,5 @@
   REAL(dp), DIMENSION(:), INTENT(IN):: c
 
-  write(6,*) 'ERROR in chem_gasphase_mod ',ierr,C(1)
+  write(6,*) 'ERROR in chem_gasphase_mod ',ierr,C(1),PE
 
 
@@ -2250,6 +2245,5 @@
                                                                       
     INTEGER  :: ier                                                   
-    REAL(kind=dp):: jvs(lu_nonzero), w(nvar), a             
-    INTEGER  :: k, kk, j, jj                                          
+    REAL(kind=dp):: jvs(lu_nonzero), a                         
                                                                       
     a = 0.                                                            
@@ -2305,5 +2299,4 @@
   INTEGER, DIMENSION(20)                :: istatus_u               
   INTEGER                                :: ierr_u                  
-  INTEGER                                :: istatf                  
   INTEGER                                :: vl_dim_lo               
                                                                     
@@ -2342,5 +2335,5 @@
                                                                     
    IF (PRESENT(l_debug) .AND. PRESENT(pe)) THEN                       
-      IF (l_debug) CALL error_output(conc(is, :), ierr_u, pe)          
+      IF (l_debug) CALL error_output(conc(is, :), ierr_u, pe)           
    ENDIF                                                              
                                                                       
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_salsa+simple/chem_gasphase_mod.f90
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_salsa+simple/chem_gasphase_mod.f90	(revision 3785)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_salsa+simple/chem_gasphase_mod.f90	(revision 3789)
@@ -97,6 +97,4 @@
                                                                  
                                                                  
-  INTEGER, DIMENSION(vl_dim)  :: kacc, krej                       
-  INTEGER, DIMENSION(vl_dim)  :: ierrv                           
   LOGICAL                     :: data_loaded = .FALSE.             
 ! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
@@ -115,6 +113,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Parameters.f90
-! Time                 : Tue Mar  5 11:50:51 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:01 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -203,6 +201,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Global.f90
-! Time                 : Tue Mar  5 11:50:51 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:01 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -232,6 +230,4 @@
 ! TEMP - Temperature
   REAL(kind=dp):: temp
-! TSTART - Integration start time
-  REAL(kind=dp):: tstart
 ! ATOL - Absolute tolerance
   REAL(kind=dp):: atol(nvar)
@@ -278,6 +274,6 @@
 ! 
 ! File                 : chem_gasphase_mod_JacobianSP.f90
-! Time                 : Tue Mar  5 11:50:51 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:01 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -330,6 +326,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Monitor.f90
-! Time                 : Tue Mar  5 11:50:51 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:01 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -404,6 +400,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Initialize.f90
-! Time                 : Tue Mar  5 11:50:51 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:01 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -430,6 +426,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Integrator.f90
-! Time                 : Tue Mar  5 11:50:51 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:01 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -488,6 +484,6 @@
 ! 
 ! File                 : chem_gasphase_mod_LinearAlgebra.f90
-! Time                 : Tue Mar  5 11:50:51 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:01 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -515,6 +511,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Jacobian.f90
-! Time                 : Tue Mar  5 11:50:51 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:01 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -542,6 +538,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Function.f90
-! Time                 : Tue Mar  5 11:50:51 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:01 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -571,6 +567,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Rates.f90
-! Time                 : Tue Mar  5 11:50:51 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:01 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -597,6 +593,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Util.f90
-! Time                 : Tue Mar  5 11:50:51 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:01 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -718,5 +714,5 @@
 
 
-  INTEGER         :: j, k
+ INTEGER         :: k
 
   INTEGER :: i
@@ -760,5 +756,4 @@
    INTEGER       :: icntrl(20), istatus(20), ierr
 
-   INTEGER, SAVE :: ntotal = 0
 
    icntrl(:) = 0
@@ -1100,5 +1095,5 @@
   REAL(dp), DIMENSION(:), INTENT(IN):: c
 
-  write(6,*) 'ERROR in chem_gasphase_mod ',ierr,C(1)
+  write(6,*) 'ERROR in chem_gasphase_mod ',ierr,C(1),PE
 
 
@@ -2409,6 +2404,5 @@
                                                                       
     INTEGER  :: ier                                                   
-    REAL(kind=dp):: jvs(lu_nonzero), w(nvar), a             
-    INTEGER  :: k, kk, j, jj                                          
+    REAL(kind=dp):: jvs(lu_nonzero), a                         
                                                                       
     a = 0.                                                            
@@ -2496,5 +2490,4 @@
   INTEGER, DIMENSION(20)                :: istatus_u               
   INTEGER                                :: ierr_u                  
-  INTEGER                                :: istatf                  
   INTEGER                                :: vl_dim_lo               
                                                                     
@@ -2533,5 +2526,5 @@
                                                                     
    IF (PRESENT(l_debug) .AND. PRESENT(pe)) THEN                       
-      IF (l_debug) CALL error_output(conc(is, :), ierr_u, pe)          
+      IF (l_debug) CALL error_output(conc(is, :), ierr_u, pe)           
    ENDIF                                                              
                                                                       
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_salsagas/chem_gasphase_mod.f90
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_salsagas/chem_gasphase_mod.f90	(revision 3785)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_salsagas/chem_gasphase_mod.f90	(revision 3789)
@@ -97,6 +97,4 @@
                                                                  
                                                                  
-  INTEGER, DIMENSION(vl_dim)  :: kacc, krej                       
-  INTEGER, DIMENSION(vl_dim)  :: ierrv                           
   LOGICAL                     :: data_loaded = .FALSE.             
 ! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
@@ -115,6 +113,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Parameters.f90
-! Time                 : Tue Mar  5 11:50:51 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:01 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -193,6 +191,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Global.f90
-! Time                 : Tue Mar  5 11:50:51 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:01 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -221,6 +219,4 @@
 ! TEMP - Temperature
   REAL(kind=dp):: temp
-! TSTART - Integration start time
-  REAL(kind=dp):: tstart
 ! ATOL - Absolute tolerance
   REAL(kind=dp):: atol(nvar)
@@ -263,6 +259,6 @@
 ! 
 ! File                 : chem_gasphase_mod_JacobianSP.f90
-! Time                 : Tue Mar  5 11:50:51 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:01 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -307,6 +303,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Monitor.f90
-! Time                 : Tue Mar  5 11:50:51 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:01 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -371,6 +367,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Initialize.f90
-! Time                 : Tue Mar  5 11:50:51 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:01 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -397,6 +393,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Integrator.f90
-! Time                 : Tue Mar  5 11:50:51 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:01 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -455,6 +451,6 @@
 ! 
 ! File                 : chem_gasphase_mod_LinearAlgebra.f90
-! Time                 : Tue Mar  5 11:50:51 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:01 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -482,6 +478,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Jacobian.f90
-! Time                 : Tue Mar  5 11:50:51 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:01 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -509,6 +505,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Function.f90
-! Time                 : Tue Mar  5 11:50:51 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:01 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -538,6 +534,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Rates.f90
-! Time                 : Tue Mar  5 11:50:51 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:01 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -564,6 +560,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Util.f90
-! Time                 : Tue Mar  5 11:50:51 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:01 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -685,5 +681,5 @@
 
 
-  INTEGER         :: j, k
+ INTEGER         :: k
 
   INTEGER :: i
@@ -727,5 +723,4 @@
    INTEGER       :: icntrl(20), istatus(20), ierr
 
-   INTEGER, SAVE :: ntotal = 0
 
    icntrl(:) = 0
@@ -939,5 +934,5 @@
   REAL(dp), DIMENSION(:), INTENT(IN):: c
 
-  write(6,*) 'ERROR in chem_gasphase_mod ',ierr,C(1)
+  write(6,*) 'ERROR in chem_gasphase_mod ',ierr,C(1),PE
 
 
@@ -2248,6 +2243,5 @@
                                                                       
     INTEGER  :: ier                                                   
-    REAL(kind=dp):: jvs(lu_nonzero), w(nvar), a             
-    INTEGER  :: k, kk, j, jj                                          
+    REAL(kind=dp):: jvs(lu_nonzero), a                         
                                                                       
     a = 0.                                                            
@@ -2298,5 +2292,4 @@
   INTEGER, DIMENSION(20)                :: istatus_u               
   INTEGER                                :: ierr_u                  
-  INTEGER                                :: istatf                  
   INTEGER                                :: vl_dim_lo               
                                                                     
@@ -2335,5 +2328,5 @@
                                                                     
    IF (PRESENT(l_debug) .AND. PRESENT(pe)) THEN                       
-      IF (l_debug) CALL error_output(conc(is, :), ierr_u, pe)          
+      IF (l_debug) CALL error_output(conc(is, :), ierr_u, pe)           
    ENDIF                                                              
                                                                       
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_simple/chem_gasphase_mod.f90
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_simple/chem_gasphase_mod.f90	(revision 3785)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_simple/chem_gasphase_mod.f90	(revision 3789)
@@ -97,6 +97,4 @@
                                                                  
                                                                  
-  INTEGER, DIMENSION(vl_dim)  :: kacc, krej                       
-  INTEGER, DIMENSION(vl_dim)  :: ierrv                           
   LOGICAL                     :: data_loaded = .FALSE.             
 ! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
@@ -115,6 +113,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Parameters.f90
-! Time                 : Tue Mar  5 11:50:52 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:02 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -199,6 +197,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Global.f90
-! Time                 : Tue Mar  5 11:50:52 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:02 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -228,6 +226,4 @@
 ! TEMP - Temperature
   REAL(kind=dp):: temp
-! TSTART - Integration start time
-  REAL(kind=dp):: tstart
 ! ATOL - Absolute tolerance
   REAL(kind=dp):: atol(nvar)
@@ -268,6 +264,6 @@
 ! 
 ! File                 : chem_gasphase_mod_JacobianSP.f90
-! Time                 : Tue Mar  5 11:50:52 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:02 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -318,6 +314,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Monitor.f90
-! Time                 : Tue Mar  5 11:50:52 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:02 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -387,6 +383,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Initialize.f90
-! Time                 : Tue Mar  5 11:50:52 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:02 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -413,6 +409,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Integrator.f90
-! Time                 : Tue Mar  5 11:50:52 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:02 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -471,6 +467,6 @@
 ! 
 ! File                 : chem_gasphase_mod_LinearAlgebra.f90
-! Time                 : Tue Mar  5 11:50:52 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:02 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -498,6 +494,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Jacobian.f90
-! Time                 : Tue Mar  5 11:50:52 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:02 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -525,6 +521,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Function.f90
-! Time                 : Tue Mar  5 11:50:52 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:02 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -554,6 +550,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Rates.f90
-! Time                 : Tue Mar  5 11:50:52 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:02 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -580,6 +576,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Util.f90
-! Time                 : Tue Mar  5 11:50:52 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:02 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -701,5 +697,5 @@
 
 
-  INTEGER         :: j, k
+ INTEGER         :: k
 
   INTEGER :: i
@@ -743,5 +739,4 @@
    INTEGER       :: icntrl(20), istatus(20), ierr
 
-   INTEGER, SAVE :: ntotal = 0
 
    icntrl(:) = 0
@@ -1055,5 +1050,5 @@
   REAL(dp), DIMENSION(:), INTENT(IN):: c
 
-  write(6,*) 'ERROR in chem_gasphase_mod ',ierr,C(1)
+  write(6,*) 'ERROR in chem_gasphase_mod ',ierr,C(1),PE
 
 
@@ -2364,6 +2359,5 @@
                                                                       
     INTEGER  :: ier                                                   
-    REAL(kind=dp):: jvs(lu_nonzero), w(nvar), a             
-    INTEGER  :: k, kk, j, jj                                          
+    REAL(kind=dp):: jvs(lu_nonzero), a                         
                                                                       
     a = 0.                                                            
@@ -2448,5 +2442,4 @@
   INTEGER, DIMENSION(20)                :: istatus_u               
   INTEGER                                :: ierr_u                  
-  INTEGER                                :: istatf                  
   INTEGER                                :: vl_dim_lo               
                                                                     
@@ -2485,5 +2478,5 @@
                                                                     
    IF (PRESENT(l_debug) .AND. PRESENT(pe)) THEN                       
-      IF (l_debug) CALL error_output(conc(is, :), ierr_u, pe)          
+      IF (l_debug) CALL error_output(conc(is, :), ierr_u, pe)           
    ENDIF                                                              
                                                                       
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_simplep/chem_gasphase_mod.f90
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_simplep/chem_gasphase_mod.f90	(revision 3785)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_simplep/chem_gasphase_mod.f90	(revision 3789)
@@ -97,6 +97,4 @@
                                                                  
                                                                  
-  INTEGER, DIMENSION(vl_dim)  :: kacc, krej                       
-  INTEGER, DIMENSION(vl_dim)  :: ierrv                           
   LOGICAL                     :: data_loaded = .FALSE.             
 ! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
@@ -115,6 +113,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Parameters.f90
-! Time                 : Tue Mar  5 11:50:52 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:02 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -200,6 +198,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Global.f90
-! Time                 : Tue Mar  5 11:50:52 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:02 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -229,6 +227,4 @@
 ! TEMP - Temperature
   REAL(kind=dp):: temp
-! TSTART - Integration start time
-  REAL(kind=dp):: tstart
 ! ATOL - Absolute tolerance
   REAL(kind=dp):: atol(nvar)
@@ -269,6 +265,6 @@
 ! 
 ! File                 : chem_gasphase_mod_JacobianSP.f90
-! Time                 : Tue Mar  5 11:50:52 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:02 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -319,6 +315,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Monitor.f90
-! Time                 : Tue Mar  5 11:50:52 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:02 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -389,6 +385,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Initialize.f90
-! Time                 : Tue Mar  5 11:50:52 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:02 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -415,6 +411,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Integrator.f90
-! Time                 : Tue Mar  5 11:50:52 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:02 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -473,6 +469,6 @@
 ! 
 ! File                 : chem_gasphase_mod_LinearAlgebra.f90
-! Time                 : Tue Mar  5 11:50:52 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:02 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -500,6 +496,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Jacobian.f90
-! Time                 : Tue Mar  5 11:50:52 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:02 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -527,6 +523,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Function.f90
-! Time                 : Tue Mar  5 11:50:52 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:02 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -556,6 +552,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Rates.f90
-! Time                 : Tue Mar  5 11:50:52 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:02 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -582,6 +578,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Util.f90
-! Time                 : Tue Mar  5 11:50:52 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:02 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -703,5 +699,5 @@
 
 
-  INTEGER         :: j, k
+ INTEGER         :: k
 
   INTEGER :: i
@@ -745,5 +741,4 @@
    INTEGER       :: icntrl(20), istatus(20), ierr
 
-   INTEGER, SAVE :: ntotal = 0
 
    icntrl(:) = 0
@@ -1063,5 +1058,5 @@
   REAL(dp), DIMENSION(:), INTENT(IN):: c
 
-  write(6,*) 'ERROR in chem_gasphase_mod ',ierr,C(1)
+  write(6,*) 'ERROR in chem_gasphase_mod ',ierr,C(1),PE
 
 
@@ -2372,6 +2367,5 @@
                                                                       
     INTEGER  :: ier                                                   
-    REAL(kind=dp):: jvs(lu_nonzero), w(nvar), a             
-    INTEGER  :: k, kk, j, jj                                          
+    REAL(kind=dp):: jvs(lu_nonzero), a                         
                                                                       
     a = 0.                                                            
@@ -2454,5 +2448,4 @@
   INTEGER, DIMENSION(20)                :: istatus_u               
   INTEGER                                :: ierr_u                  
-  INTEGER                                :: istatf                  
   INTEGER                                :: vl_dim_lo               
                                                                     
@@ -2491,5 +2484,5 @@
                                                                     
    IF (PRESENT(l_debug) .AND. PRESENT(pe)) THEN                       
-      IF (l_debug) CALL error_output(conc(is, :), ierr_u, pe)          
+      IF (l_debug) CALL error_output(conc(is, :), ierr_u, pe)           
    ENDIF                                                              
                                                                       
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_smog/chem_gasphase_mod.f90
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_smog/chem_gasphase_mod.f90	(revision 3785)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_smog/chem_gasphase_mod.f90	(revision 3789)
@@ -97,6 +97,4 @@
                                                                  
                                                                  
-  INTEGER, DIMENSION(vl_dim)  :: kacc, krej                       
-  INTEGER, DIMENSION(vl_dim)  :: ierrv                           
   LOGICAL                     :: data_loaded = .FALSE.             
 ! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
@@ -115,6 +113,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Parameters.f90
-! Time                 : Tue Mar  5 11:50:53 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:03 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -207,6 +205,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Global.f90
-! Time                 : Tue Mar  5 11:50:53 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:03 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -236,6 +234,4 @@
 ! TEMP - Temperature
   REAL(kind=dp):: temp
-! TSTART - Integration start time
-  REAL(kind=dp):: tstart
 ! ATOL - Absolute tolerance
   REAL(kind=dp):: atol(nvar)
@@ -276,6 +272,6 @@
 ! 
 ! File                 : chem_gasphase_mod_JacobianSP.f90
-! Time                 : Tue Mar  5 11:50:53 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:03 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -332,6 +328,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Monitor.f90
-! Time                 : Tue Mar  5 11:50:53 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:03 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -408,6 +404,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Initialize.f90
-! Time                 : Tue Mar  5 11:50:53 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:03 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -434,6 +430,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Integrator.f90
-! Time                 : Tue Mar  5 11:50:53 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:03 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -492,6 +488,6 @@
 ! 
 ! File                 : chem_gasphase_mod_LinearAlgebra.f90
-! Time                 : Tue Mar  5 11:50:53 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:03 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -519,6 +515,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Jacobian.f90
-! Time                 : Tue Mar  5 11:50:53 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:03 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -546,6 +542,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Function.f90
-! Time                 : Tue Mar  5 11:50:53 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:03 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -575,6 +571,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Rates.f90
-! Time                 : Tue Mar  5 11:50:53 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:03 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -601,6 +597,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Util.f90
-! Time                 : Tue Mar  5 11:50:53 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:03 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -722,5 +718,5 @@
 
 
-  INTEGER         :: j, k
+ INTEGER         :: k
 
   INTEGER :: i
@@ -768,5 +764,4 @@
    INTEGER       :: icntrl(20), istatus(20), ierr
 
-   INTEGER, SAVE :: ntotal = 0
 
    icntrl(:) = 0
@@ -1165,5 +1160,5 @@
   REAL(dp), DIMENSION(:), INTENT(IN):: c
 
-  write(6,*) 'ERROR in chem_gasphase_mod ',ierr,C(1)
+  write(6,*) 'ERROR in chem_gasphase_mod ',ierr,C(1),PE
 
 
@@ -2474,6 +2469,5 @@
                                                                       
     INTEGER  :: ier                                                   
-    REAL(kind=dp):: jvs(lu_nonzero), w(nvar), a             
-    INTEGER  :: k, kk, j, jj                                          
+    REAL(kind=dp):: jvs(lu_nonzero), a                         
                                                                       
     a = 0.                                                            
@@ -2582,5 +2576,4 @@
   INTEGER, DIMENSION(20)                :: istatus_u               
   INTEGER                                :: ierr_u                  
-  INTEGER                                :: istatf                  
   INTEGER                                :: vl_dim_lo               
                                                                     
@@ -2619,5 +2612,5 @@
                                                                     
    IF (PRESENT(l_debug) .AND. PRESENT(pe)) THEN                       
-      IF (l_debug) CALL error_output(conc(is, :), ierr_u, pe)          
+      IF (l_debug) CALL error_output(conc(is, :), ierr_u, pe)           
    ENDIF                                                              
                                                                       
